Bug 981896 - can't remove files from CD/DVD creator folder
can't remove files from CD/DVD creator folder
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gvfs (Show other bugs)
18
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Ondrej Holy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-06 15:43 EDT by Dave Mitchell
Modified: 2014-02-05 17:04 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:04:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Mitchell 2013-07-06 15:43:11 EDT
Description of problem:

Items copied into the "CD/DVD Creator" virtual folder can't be removed if the original item's parent directory isn't writeable by the user. Can apparently only be fixed by killing the gvfsd-burn process and closing and re-opening the nautilus window (just closing the window without killing the process doesn't fix the issue).


Version-Release number of selected component (if applicable):

gvfs-1.14.2-4.fc18.x86_64 (although I've actually had this problem for years)


How reproducible:


Steps to Reproduce:

1) As root, create some readable files foo1..foo5 under /home (so the files are readable by, but not deletable by, the logged in user):

# cd /home

# cp /etc/rpc foo1 # /etc/rpc is just a convenient small file
# cp /etc/rpc foo2
# chmod 666 foo2
# cp /etc/rpc foo3
# chown davem:davem foo3

# mkdir x
# chown davem:davem x
# cp /etc/rpc x/foo4

# mkdir y
# chmod 777 y
# cp /etc/rpc y/foo5

# ls -ld  . foo* x y [xy]/foo*
drwxr-xr-x. 9 root  root  4096 Jul  6 19:59 .
-rw-r--r--. 1 root  root  1634 Jul  6 19:05 foo1
-rw-rw-rw-. 1 root  root  1634 Jul  6 19:06 foo2
-rw-r--r--. 1 davem davem 1634 Jul  6 19:07 foo3
drwxr-xr-x. 2 davem davem 4096 Jul  6 19:11 x
-rw-r--r--. 1 root  root  1634 Jul  6 19:11 x/foo4
drwxrwxrwx. 2 root  root  4096 Jul  6 20:00 y
-rw-r--r--. 1 root  root  1634 Jul  6 20:00 y/foo5

2. Logged in as a normal user (davem) and using the nautilus interface, drag each of those 5 foo files into the "CD/DVD Creator" folder.

Actual results:

For foo1..foo3 in the creator folder, selecting and right-clicking gives greyed out 'cut', 'move to' etc options. There seems to be no way to remove them from
the virtual folder, short of killing the /usr/libexec/gvfsd-burn process.
For foo4,foo5, the menu options *aren't* greyed out, and they can be removed from the virtual folder using the 'move to wastebasket' option, as you'd expect.


Expected results:

All 5 files in the virtual creator folder should be removable, regardless of the writability of each file's real parent directory. 


Additional info:

The real-world scenario is that I have a backup regime that from time to time (as root) causes a world-readable tar file to be created directly under /home, which I then burn to DVD. A few days later when I want to burn a new tar file, the old one is still in the creator folder, and apparently can't be removed without killing the burn process.
Comment 1 Fedora End Of Life 2013-12-21 09:16:00 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2014-02-05 17:04:42 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.